@font-face {
    font-family: 'Pokefont';
    src: url(./fonts/Pokemon-Solid.ttf);
}

* {
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
}



.pokefont {
    font-family: 'Pokefont';
    font-size: 6rem;
    color: #ffcb05;
    letter-spacing: .5rem;
    margin-top: .9rem;
    margin-bottom: -1rem;
    -webkit-text-stroke-width: .09rem;
    -webkit-text-stroke-color: #2a75bb;
}

#center {
justify-content: center;
}

body {
    height: 100vh;
    width: 100vw;
}

#gif-image {
  border: solid;
  border-color: silver;
  box-shadow: 50px 50px 50px black;
  margin-right: 12rem;
}

#my-container {
  height: 85vh;
   width: 100vw;
  }

  .collage {
    width: 100vw;
    height: 50vh;
    background-image: url("../images/backround.jpg") ;
  }

  #title {
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-size: 3.5rem;
  }

  #sprite-container {
    height: 66vh;
    align-items: center;
    justify-content: space-around;
  }

  #stats-container {
    height: 20vh;
  }

  #search {
    box-shadow: 15px 15px 30px black;
  }

 
/* Nav Bar Styling */


.hero {
  height: 100vh;
  width: 100vw;
  background-image: url(./images/backround.jpg);
  background-size: cover;
  background-position: center;
  opacity: 100;
  z-index: -1000;
 }
 
 
 
 
 .logo {
  color: white;
  font-size: 28px;
  padding: 20px;
 }
 
 
 span {
  color: #ffcb05;
 }
 
 
 .navbar {
  padding-inline: 10px;
  background-color: #1c1c1d;
  z-index: 100;
 }
 
 
 
 
 
/* Pokemon Card Styling */

.pokemon-card-container {
  margin: auto;
  background: linear-gradient(to right, #ffe55c, #ffe55c);
  width: 36rem;
  height: 50.7rem;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 50px 50px 50px black;
}

.background {
  text-align: center;
  background: linear-gradient(to right, #b1b71c, #588532);
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

.image-container {
  margin: auto;
  margin-top: -3rem;
  padding-left: 10px;
  border: solid;
  border-color: silver;
  background: linear-gradient(to right, #0d5a52, #2baea0);
  width: 32rem;
}

.image {
  width: 19.5rem;
  height: 19.5rem;
}

.poke-content {
  background: linear-gradient(to right, #b1b71c, #588532);
  padding: 3.2rem;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.pokemon-name {
  text-align: left;
  margin-left: 20px;
  font-size: 2.4rem;
  font-weight: lighter;
  padding-top: 10px;
}

.pokemon-type {
  background-color: black;
  padding: 1rem;
  color: white;
  border-radius: 5px;
  height: 3.5rem;
  width: fit-content;
  display: inline-block;
  left: 11rem;
  text-align: center;
  font-size: 1.8rem;
  position: relative;
  top: -4rem;
  margin-right: 1.8rem;
}

.pokemon-logo {
  text-align: center;
  font-size: 1.2rem;
  padding-bottom: 20px;
}

.pokemon-stats > p {
  font-size: 2rem;
  margin-left: .9rem;
  letter-spacing: 1px;
  line-height: .6rem;
  margin-bottom: 1.8rem;
}

.hr {
  margin-top: 20px;
}

